$(document).ready(function(){
    $('#loginfrm').submit (function(evt){
        evt.preventDefault();
        $("#login").attr("disabled","true");
        var uri=$(this).attr('action');
        //var data=$(this).serializeArray();
        var uid=$("#uid").val();
        var pwd=$("#pwd").val();
        var captch=$("#captch").val();
         var data = {
        "uid": uid,
        "pwd": $.md5($.sha1(pwd)),
        "captch": $.md5($.sha1(captch))
      };
  
        $.post(uri,{"data":data}).done(function(data){
          data=JSON.parse(data);
          if(data.success=="false"){
            $("#error").html(data.message);
             $("#error").html(data.message).delay(5000, function() {
            $(location).attr("href", data.url);
          });
            $("#login").removeAttr("disabled");
  
          }
          if(data.success=="true"){
            $('.login-popup-wrap').fadeIn();
            $(".blackoverlay").fadeIn();
            $("#vldotp").attr("action",data.actionuri);
  
          }
        //  console.log(data);
        });
    });
    $('#vldotp').submit (function(evt){
        evt.preventDefault();
        var uri=$(this).attr('action');
        var data=$(this).serializeArray();
         //console.log(data);
  
        $.post(uri,{"data":data}).done(function(data){
          data=JSON.parse(data);
  
          if(data.success=="false"){
            $(".errresponse").html(data.message);
            if(data.redirect=="true"){
            alert(data.message);
           $(location).attr('href', data.redirect_uri);
            
           }
            $('#vldotp')[0].reset();
  
          }
          if(data.success=="true"){
            $('.login-popup-wrap').fadeOut();
            $(".blackoverlay").fadeOut();
          // $("#vldotp").attr("action",data.actionuri);
          $(location).attr('href', data.url);
  
          }
          //console.log(data);
        }).fail(function(data){
            alert("Attempt exceed");
          $(location).attr('href', "https://webuat.sbisgcsl.co.in/sbisgcsl/");
  
          
         // console.log(data);
            
        });
    });
    $(".otpnext").keyup(function () {
      if (this.value.length == this.maxLength) {
        $(this).next('.otpnext').focus();
      }
  });
  $("#resend").click(function(evt){
    evt.preventDefault();
    var urldata=$(this).attr("href");
    $.post(urldata).done(function(data){
      data=JSON.parse(data);
      //console.log(data);
    });
  });
  });